Package: org.grails.buffer

## [Java] Class StreamCharBuffer.StreamCharBufferSubChunkReader

- org.grails.buffer.StreamCharBuffer.StreamCharBufferSubChunkReader

-     final class StreamCharBuffer.StreamCharBufferSubChunkReader
      extends AbstractChunkReader

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `StreamCharBufferSubChunk` | `parent` |
    `private StreamCharBufferReader` | `reader` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `StreamCharBufferSubChunkReader (StreamCharBufferSubChunk parent, boolean removeAfterReading)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public int` | `getReadLenLimit(int askedAmount)`
    `` | `public int` | `read(char[] ch, int off, int len)`

- - ### Field Detail

    - #### StreamCharBufferSubChunk parent

    - #### private StreamCharBufferReader reader

  - ### Constructor Detail

    - #### public StreamCharBufferSubChunkReader(StreamCharBufferSubChunk parent, boolean removeAfterReading)

  - ### Method Detail

    - #### @java.lang.Override public int getReadLenLimit(int askedAmount)

    - #### @java.lang.Override public int read(char[] ch, int off, int len)